Skip to main content
GET
/
api
/
v1
/
bko
/
orders
List Orders
curl --request GET \
  --url https://api.example.com/api/v1/bko/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "checkoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "soldById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalProvider": "<string>",
      "externalProviderId": "<string>",
      "code": "<string>",
      "amount": 123,
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 20,
    "total": 125,
    "totalPages": 7
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number
default:10

Items per page

Example:

10

page
number
default:1

Page number

Example:

1

filter
string

Generic filter that matches against

  • code
Example:

"ORD-20260412"

paymentMethod
enum<string>

Payment method

Available options:
CASH,
PIX,
CREDIT_CARD,
DEBIT_CARD
Example:

"PIX"

organizationId
string<uuid>

Organization identifier

Example:

"01900000-0000-7000-8000-000000000020"

createdAt
string

Available operators: >, >=, <, <=, =.

Example:

">=2024-01-01;<=2024-12-31"

status
enum<string>

Order status

Available options:
PENDING,
PAID,
PAYMENT_FAILED,
CANCELED
Example:

"PENDING"

type
enum<string>

Order type

Available options:
POS,
ONLINE
Example:

"POS"

sortBy
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt,
amount
Example:

"createdAt"

sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

data
object[]
required
meta
object
required

Pagination metadata